Crystal Space: csVector4 Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csVector4 Class Reference
[Geometry utilities]

A 4D vector with "float" components. More...

`#include <csgeom/vector4.h>`

Inheritance diagram for csVector4:

[legend]
List of all members.

## Public Member Functions
| csVector4 (const csVector3 &v)
| Convert from a three-component vector. w is set to 1.
| csVector4 (const csVector4T< float > &v)
| Copy Constructor.
| csVector4 (const csVector4 &v)
| Copy Constructor.
| csVector4 (float ix, float iy, float iz=0, float iw=1)
| Make a new vector and initialize with the given values.
| csVector4 (const float &m)
| Make a new initialized vector.
| csVector4 ()
| Make a new vector.
csVector4 & | operator= (const csVector3 &other)
| Assignment operator.
csVector4 & | operator= (const csVector4T< float > &other)
| Assignment operator.

## Detailed Description

A 4D vector with "float" components.

Definition at line 305 of file vector4.h.

## Constructor & Destructor Documentation

csVector4::csVector4 | ( |  | ) | `[inline]`

Make a new vector.

The vector is not initialized. This makes the code slightly faster.

Definition at line 312 of file vector4.h.

csVector4::csVector4 | ( | const float & | m | ) | `[inline]`

Make a new initialized vector.

Creates a new vector and initializes it to m*<1,1,1,1>. To create a vector initialized to the zero vector, use csVector4(0)

Definition at line 319 of file vector4.h.

csVector4::csVector4 | ( | float | ix,
|  | float | iy,
|  | float | iz = `0`,
|  | float | iw = `1` |
| ) |  |  | `[inline]`

Make a new vector and initialize with the given values.

Definition at line 322 of file vector4.h.

csVector4::csVector4 | ( | const csVector4 & | v | ) | `[inline]`

Copy Constructor.

Definition at line 326 of file vector4.h.

csVector4::csVector4 | ( | const csVector4T< float > & | v | ) | `[inline]`

Copy Constructor.

Definition at line 329 of file vector4.h.

csVector4::csVector4 | ( | const csVector3 & | v | ) | `[inline]`

Convert from a three-component vector. w is set to 1.

Definition at line 332 of file vector4.h.

## Member Function Documentation

csVector4& csVector4::operator= | ( | const csVector3 & | other | ) | `[inline]`

Assignment operator.

Definition at line 343 of file vector4.h.

References csVector4T< float >::Set(), csVector3::x, csVector3::y, and csVector3::z.

csVector4& csVector4::operator= | ( | const csVector4T< float > & | other | ) | `[inline]`

Assignment operator.

Definition at line 336 of file vector4.h.

References csVector4T< float >::Set(), csVector4T< T >::w, csVector4T< T >::x, csVector4T< T >::y, and csVector4T< T >::z.

The documentation for this class was generated from the following file:

- csgeom/vector4.h